Mailinglist Archive: opensuse-buildservice (182 mails)

< Previous Next >
[opensuse-buildservice] Import of new reposistory from obs_mirror_project fails
  • From: Neil McGovern <nmcgovern@xxxxxxxxxxxx>
  • Date: Mon, 15 Feb 2010 18:28:03 +0000
  • Message-id: <20100215182803.GB11112@xxxxxxxxxxxx>
Hi all,

I'm attempting to install and crowbar an OBS instance locally to
build various packages that I'm working on for a project. This generally
seems to be going well, but I'm having problems importing a respository
grabbed from build.opensuse.org.

After running obs_mirror_project, I restart the scheduler and attempt an
import of the new repository. Unfortunately, this seems to fail:

obs1:/srv/www/obs/api/script # RAILS_ENV="production" ruby -I
/srv/www/obs/common/lib/ import
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:443:in
`load_missing_constant': uninitialized constant ActiveXML (NameError)
from
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in
`const_missing'
from
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:92:in
`const_missing'
from /srv/www/obs/api/app/models/bs_request.rb:1
from /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
from /usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
from
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:in
`require'
from
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:265:in
`require_or_load'
from
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:224:in
`depend_on'
from
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:136:in
`require_dependency'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:414:in
`load_application_classes'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:413:in
`each'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:413:in
`load_application_classes'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:411:in
`each'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:411:in
`load_application_classes'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:197:in
`process'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in
`send'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `run'
from import:18

This is running openSUSE 11.1 with OBS 1.7.0-5.4 and rubygems 1.3.5-8.1, using
the openSUSE:Tools repo.

Any ideas where would be the best place to look?

Thanks,
Neil
--
Neil McGovern
Amino Communications
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages